<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Todo List</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
          integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <header class="bg-primary text-white p-4 mb-3">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <h1>Todo Application</h1>
                </div>
                <div class="col-md-6 align-self-center input-group">
                    <input id="phrase" type="text" class="form-control" placeholder="Search for a To-Do ...">
                    <div class="input-group-append">
                        <button id="phrase-clear" type="button" class="btn btn-secondary" >Clear</button>
                    </div>
                </div>
            </div>
        </div>
    </header>

    <div class="container">
        <div class="card">
            <div class="card-header text-white bg-dark">Todo Pane</div>
            <div class="card-body">
                <fieldset>
                    <legend>Add/Edit Todo</legend>
                    <form>
                        <div class="row">
                            <div class="col-6 form-group">
                                <label>What</label>
                                <input id="what" type="text" class="form-control" placeholder="Something to do">
                            </div>
                            <div class="col-3 form-group">
                                <label>When</label>
                                <input id="when" type="date" class="form-control" placeholder="Something to do">
                            </div>
                            <div class="col-3 form-group">
                                <label>&nbsp;</label>
                                <div class="row">
                                    <div class="col" >
                                        <button id="save" type="submit" class="btn btn-primary  ">
                                            Save
                                        </button>
                                        <button id="clear" type="button" class="btn btn-secondary  ">
                                            Clear
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </fieldset>

                <h2 class="mt-3">
                    Tasks to-do
                    <button id="remove-all" class="btn btn-danger float-right">Remove All</button>
                </h2>
                <ul id="items" class="list-group"></ul>
            </div>
            <div class="card-body text-muted text-center mb-0 pb-1">
                &copy; Whatever Ltd, 2018. All rights reserved.
            </div>
        </div>
    </div>
    <script src="app.js"></script>
</body>
</html>
